# KmlFeatureData

#### new Cesium.KmlFeatureData()
DataSources/KmlDataSource.js 2775

  Contains KML Feature data loaded into the `Entity.kml` property by `KmlDataSource`.

### Members

#### address : String
DataSources/KmlDataSource.js 2866

  Gets the unstructured address field.

#### author : Object
DataSources/KmlDataSource.js 2780

  Gets the atom syndication format author field.

#### author.email : String
DataSources/KmlDataSource.js 2804

  Gets the email.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `author.email` |  |

#### author.name : String
DataSources/KmlDataSource.js 2788

  Gets the name.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `author.name` |  |

#### author.uri : String
DataSources/KmlDataSource.js 2796

  Gets the URI.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `author.uri` |  |

#### extendedData : String
DataSources/KmlDataSource.js 2883

  Gets the extended data, parsed into a JSON object. Currently only the `Data` property is supported. `SchemaData` and custom data are ignored.

#### link : Object
DataSources/KmlDataSource.js 2811

  Gets the link.

#### link.href : String
DataSources/KmlDataSource.js 2819

  Gets the href.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `link.href` |  |

#### link.hreflang : String
DataSources/KmlDataSource.js 2827

  Gets the language of the linked resource.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `link.hreflang` |  |

#### link.length : String
DataSources/KmlDataSource.js 2859

  Gets the link length.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `link.length` |  |

#### link.rel : String
DataSources/KmlDataSource.js 2835

  Gets the link relation.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `link.rel` |  |

#### link.title : String
DataSources/KmlDataSource.js 2851

  Gets the link title.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `link.title` |  |

#### link.type : String
DataSources/KmlDataSource.js 2843

  Gets the link type.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `link.type` |  |

#### phoneNumber : String
DataSources/KmlDataSource.js 2871

  Gets the phone number.

#### snippet : String
DataSources/KmlDataSource.js 2876

  Gets the snippet.